Package org.apache.sling.event.impl.jobs.stats

# Class TopicStatisticsImpl

java.lang.Object
org.apache.sling.event.impl.jobs.stats.BaseStatisticsImpl
org.apache.sling.event.impl.jobs.stats.TopicStatisticsImpl

All Implemented Interfaces:
  `org.apache.sling.event.jobs.TopicStatistics`

public class TopicStatisticsImpl extends BaseStatisticsImpl implements org.apache.sling.event.jobs.TopicStatistics
Implementation of the statistics.

## Constructor Summary

Constructors
Constructor
Description
`TopicStatisticsImpl(String topic)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getTopic()`

### Methods inherited from class org.apache.sling.event.impl.jobs.stats.BaseStatisticsImpl

`add, addActive, cancelledJob, copyFrom, failedJob, finishedJob, getAverageProcessingTime, getAverageWaitingTime, getLastActivatedJobTime, getLastFinishedJobTime, getNumberOfCancelledJobs, getNumberOfFailedJobs, getNumberOfFinishedJobs, getNumberOfProcessedJobs, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.event.jobs.TopicStatistics

`getAverageProcessingTime, getAverageWaitingTime, getLastActivatedJobTime, getLastFinishedJobTime, getNumberOfCancelledJobs, getNumberOfFailedJobs, getNumberOfFinishedJobs, getNumberOfProcessedJobs`

## Constructor Details

### TopicStatisticsImpl

public TopicStatisticsImpl(String topic)
Constructor.

## Method Details

### getTopic

public String getTopic()

Specified by:
  `getTopic` in interface `org.apache.sling.event.jobs.TopicStatistics`
See Also:
  - `TopicStatistics.getTopic()`